# PCLinuxOS Copyright by Bill Reynolds (Texstar)
# Update by D. Meiß-Wilhelm 2012

Name:		libsbc
Version:	1.0
Release:	%mkrel 1
Summary:	subband codec (SBC) library
License:	GPL/LGPL
Group:		System/Libraries
URL:		http://bluetooth-alsa.sourceforge.net
Source:		sbc-%version.tar.xz
Patch:		sbcinfo-deb-man.diff
BuildRequires:	libtool >= 2.4.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Bluetooth low-complexity, subband codec (SBC) library.

%package devel
Summary:	Development files for subband codec (SBC) library
Group:		Development/C
Requires:	%name = %version-%release
Provides:	libsbc-devel

%description devel
Header files for libsbc library.

%package -n sbcinfo
Summary:	Subband codec (SBC) analyzer
Group:		Sound
Requires:	%name = %version-%release

%description -n sbcinfo
Bluetooth low-complexity, subband codec (SBC) analyzer.

%prep
%setup -q -n sbc-%version
#%patch -p1

%build
autoconf
%configure --disable-static
%make

%install
%make DESTDIR=%buildroot install
#mkdir -p %buildroot%_mandir/man1
#install -pm644 debian/*.1 %buildroot%_mandir/man1/

%clean
rm -rf %buildroot

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS README COPYING*
%_libdir/lib*.so.*

%files devel
%_libdir/lib*.so
%_includedir/*
#%_datadir/aclocal/*.m4
%_libdir/pkgconfig/*.pc
%_libdir/lib*.*a

%files -n sbcinfo
%_bindir/*
#%_mandir/man1/*

%changelog
* Tue Dec 18 2012 daniel <meisssw01 at gmail.com> 1.0-1leiche2012
- upstream tarball

* Sun Jun 24 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.0-0.20070327.1
- Rebuilt for pclos2007

* Sat Mar 31 2007 L.A. Kostis <lakostis@altlinux.ru> 0.0-alt0.cvs.20070327
- initial build for ALTLinux.
- manpage taken from debian libsbc package.

